Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 31-05-2014 23:19:07

Laërte
Membre
Distrib. : Debian Testing
Noyau : Linux 3.16.0-4-amd64
(G)UI : Kwin
Inscription : 01-09-2013

Problème lors de l'installation de Yacy

Bonjour,
afin d'éviter d'utiliser des moteurs de recherche centralisés, j'ai décidé d'installer Yacy sur ma machine.
J'ai donc ajouté le dépôt pour debian selon le tuto présent ici :
http://www.yacy-websuche.de/wiki/index. … ianInstall

Le rechargement des paquets se déroule sans problème, sauf que lors de l'installation, j'obtiens ce message d'erreur :

Paramétrage de yacy (1.73.9069) ...
Exception in thread "main" java.lang.UnsupportedClassVersionError: net/yacy/cora/order/Base64Order : Unsupported major.minor version 51.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:643)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
Could not find the main class: net.yacy.cora.order.Base64Order. Program will exit.
dpkg: erreur de traitement de yacy (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 yacy


Visiblement c'est Java qui pose problème mais je ne sais pas comment le résoudre... Quelqu'un a une idée?
Merci pour votre aide ! smile

Hors ligne

#2 01-06-2014 00:06:25

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Problème lors de l'installation de Yacy

Bonsoir,

Tu as  fait

apt-get install openjdk-7-jre-headless yacy

ou tu as déjà openjdk-6-jre ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 01-06-2014 14:03:35

Laërte
Membre
Distrib. : Debian Testing
Noyau : Linux 3.16.0-4-amd64
(G)UI : Kwin
Inscription : 01-09-2013

Re : Problème lors de l'installation de Yacy

En fait suite au problème j'ai désinstallé openjdk-6 pour installer le 7 à la place. Cette fois-ci le message d'erreur est :

Paramétrage de yacy (1.73.9069) ...
Starting YaCy P2P Web Search: failed.
invoke-rc.d: initscript yacy, action "start" failed.
dpkg: erreur de traitement de yacy (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 yacy
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de yacy (1.73.9069) ...
Starting YaCy P2P Web Search: failed.
invoke-rc.d: initscript yacy, action "start" failed.
dpkg: erreur de traitement de yacy (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 yacy


Apparemment c'est un bug connu des développeurs, ce serait le paquet binaire qui serait corrompu :
http://mantis.tokeek.de/view.php?id=339 … 25eb847355

Il semble donc que je ne puisse rien faire à part attendre une correction du bug... sad

Hors ligne

#4 22-10-2014 13:42:23

Xandra
Membre
Inscription : 22-10-2014

Re : Problème lors de l'installation de Yacy

Même si les ports 465 et 587 sont ouvert sur le pare-feu, il faut qu'une application écoute à ces ports ... Or, ce n'est pas le cas par défaut dans la config de Postfix, et le fichier à modifier n'est pas /etc/postfix/main.cf, mais /etc/postfix/master.cf smile
Les lignes à dé-commenter sont sont celle qui suivent submission pour le port 587 et smtps pour le 465.

Xandra

Hors ligne

Pied de page des forums